Uploaded image for project: 'MariaDB Server'
  1. MariaDB Server
  2. MDEV-20868

mysqld_multi failed to run due to a basic script syntax error

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Critical
    • Resolution: Fixed
    • Affects Version/s: 10.4.8
    • Fix Version/s: 10.4.9
    • Component/s: Scripts & Clients
    • Labels:
      None
    • Environment:
      Ubuntu 18.04 / x64 / mysqld Ver 10.4.8-MariaDB-1:10.4.8+maria~bionic for debian-linux-gnu on x86_64 (mariadb.org binary distribution)

      Description

      Simply run "mysqld_multi --help" and I got these:

      elseif should be elsif at /usr/bin/mysqld_multi line 352.
      syntax error at /usr/bin/mysqld_multi line 353, near ")
            {"
      syntax error at /usr/bin/mysqld_multi line 356, near "else"
      syntax error at /usr/bin/mysqld_multi line 404, near "}"
      syntax error at /usr/bin/mysqld_multi line 442, near "}"
      Can't use global @_ in "my" at /usr/bin/mysqld_multi line 450, near "= @_"
      syntax error at /usr/bin/mysqld_multi line 491, near "}"
      Can't use global $1 in "my" at /usr/bin/mysqld_multi line 502, near "{$1"
      syntax error at /usr/bin/mysqld_multi line 520, near "}"
      Can't use global @_ in "my" at /usr/bin/mysqld_multi line 527, near "= @_"
      BEGIN not safe after errors--compilation aborted at /usr/bin/mysqld_multi line 578.
      

      According to the instructions in the error, replacing "elseif" with "elsif" can solve this problem.

      I installed MariaDB from the official source through: "curl -sS https://downloads.mariadb.com/MariaDB/mariadb_repo_setup | sudo bash" then "apt-get install mariadb-server-10.4 && apt-get install mariadb-backup".

      I am very curious now: Is 10.4.8 really a GA version?

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              sysprg Julius Goryavsky
              Reporter:
              asbai Bai Yang
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: